{
  "components": {
    "callbacks": {},
    "examples": {},
    "headers": {},
    "links": {},
    "parameters": {},
    "pathItems": {},
    "requestBodies": {},
    "responses": {},
    "schemas": {},
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Keepa",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "keepa": {
        "description": "",
        "title": "Keepa",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "0bc51a4801a2062613b38952cd78afdcee61c1d5eb0d536a8aa7e307f9bd9a12",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/keepa/bestsellers",
      "/apis/v1/keepa/category",
      "/apis/v1/keepa/deal",
      "/apis/v1/keepa/lightningdeal",
      "/apis/v1/keepa/lightningdeal/list",
      "/apis/v1/keepa/product",
      "/apis/v1/keepa/query",
      "/apis/v1/keepa/search/category",
      "/apis/v1/keepa/search/product",
      "/apis/v1/keepa/seller",
      "/apis/v1/keepa/seller/storefront",
      "/apis/v1/keepa/sellerquery",
      "/apis/v1/keepa/topseller"
    ],
    "x-aisa-document": {
      "composer_version": "29",
      "document_hash": "sha256:013f49b467e9f538cbbb294ac8c2cd1de915a7b24c777d217fb8e14a4e02f779",
      "facts_hash": "0bc51a4801a2062613b38952cd78afdcee61c1d5eb0d536a8aa7e307f9bd9a12",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "keepa"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/keepa/bestsellers": {
      "get": {
        "description": "Keepa Best Sellers. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_bestsellers",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "category",
            "required": true,
            "schema": {
              "maxLength": 200,
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "month",
            "required": false,
            "schema": {
              "maximum": 12,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "in": "query",
            "name": "range",
            "required": false,
            "schema": {
              "enum": [
                "0",
                "180",
                "30",
                "90"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "0"
              }
            },
            "in": "query",
            "name": "sublist",
            "required": false,
            "schema": {
              "default": "0",
              "enum": [
                "0",
                "1"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "0"
              }
            },
            "in": "query",
            "name": "variations",
            "required": false,
            "schema": {
              "default": "0",
              "enum": [
                "0",
                "1"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "year",
            "required": false,
            "schema": {
              "maximum": 2100,
              "minimum": 2011,
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "bestSellersList": {
                      "additionalProperties": true,
                      "properties": {
                        "asinList": {
                          "items": {
                            "type": "string"
                          },
                          "type": "array"
                        }
                      },
                      "type": "object"
                    },
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Best Sellers response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Best Sellers",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_bestsellers",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.003156,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 50,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:f53af639a5a6fc16cb5a4417f9b64acbce50d2ffca8bf45f6fed1d85490f3ea8",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "e8e3d22cfe6414daca29c56e244e3c8a482af38f2d6003b45a43817b7be923ff",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:d9af53c504473f1d14d55be1476c72646185ed33713684dbd3cf033d2b0d2eef",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "d312c5acaf19b7280e52a8761221f99c1727597d76f76548561944823dc3ad95",
            "url": "https://keepa.com/api-docs/best-sellers.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "d312c5acaf19b7280e52a8761221f99c1727597d76f76548561944823dc3ad95",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "ff5cc64f5751"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_bestsellers",
          "path": "/apis/v1/keepa/bestsellers"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/bestsellers?category=example&domain=1&sublist=0&variations=0' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/category": {
      "get": {
        "description": "Keepa Category Lookup. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_category",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "category",
            "required": true,
            "schema": {
              "type": "string",
              "x-aisa-delimiter": ",",
              "x-aisa-maxItems": 10,
              "x-aisa-minItems": 1
            }
          },
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "0"
              }
            },
            "in": "query",
            "name": "parents",
            "required": false,
            "schema": {
              "default": "0",
              "enum": [
                "0",
                "1"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "categories": {
                      "additionalProperties": {
                        "additionalProperties": true,
                        "type": "object"
                      },
                      "type": "object"
                    },
                    "categoryParents": {
                      "additionalProperties": {
                        "additionalProperties": true,
                        "type": "object"
                      },
                      "type": "object"
                    },
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Category Lookup response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Category Lookup",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_category",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 6.4e-05,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 1,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:5a3ff1302afaf06200b5424fd23e3d2390a0b9e67d615d748116858ed26f76d4",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "e30a9e1d930a91014ec916f692c5937a157187bd87ec2d2469e7121cf3f0c8bd",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:0d051ca7d2714ad1f721e402f14d66dd3adf07334fe6bbe251951d09b86c714b",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "11fa57f76c7b64bcdf47a21590917c7e183876c6a9eba32cb098e8346dc928ba",
            "url": "https://keepa.com/api-docs/category-lookup.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "11fa57f76c7b64bcdf47a21590917c7e183876c6a9eba32cb098e8346dc928ba",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "9d49b9ebb12b"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_category",
          "path": "/apis/v1/keepa/category"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/category?category=example&domain=1&parents=0' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/deal": {
      "post": {
        "description": "Keepa Browsing Deals. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "post_keepa_apis_v1_keepa_deal",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "additionalProperties": false,
                "properties": {
                  "brand": {
                    "items": {
                      "maxLength": 500,
                      "minLength": 1,
                      "type": "string"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "currentRange": {
                    "items": {
                      "maximum": 2147483647,
                      "minimum": -1,
                      "type": "integer"
                    },
                    "maxItems": 2,
                    "minItems": 2,
                    "type": [
                      "array",
                      "null"
                    ]
                  },
                  "dateRange": {
                    "maximum": 3,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "deltaLastRange": {
                    "items": {
                      "maximum": 2147483647,
                      "minimum": -1,
                      "type": "integer"
                    },
                    "maxItems": 2,
                    "minItems": 2,
                    "type": [
                      "array",
                      "null"
                    ]
                  },
                  "deltaPercentRange": {
                    "items": {
                      "maximum": 2147483647,
                      "minimum": -1,
                      "type": "integer"
                    },
                    "maxItems": 2,
                    "minItems": 2,
                    "type": [
                      "array",
                      "null"
                    ]
                  },
                  "deltaRange": {
                    "items": {
                      "maximum": 2147483647,
                      "minimum": -1,
                      "type": "integer"
                    },
                    "maxItems": 2,
                    "minItems": 2,
                    "type": [
                      "array",
                      "null"
                    ]
                  },
                  "domainId": {
                    "enum": [
                      1,
                      2,
                      3,
                      4,
                      5,
                      6,
                      8,
                      9,
                      10,
                      11,
                      12
                    ],
                    "type": "integer"
                  },
                  "excludeCategories": {
                    "items": {
                      "maximum": 9007199254740991,
                      "minimum": 0,
                      "type": "integer"
                    },
                    "maxItems": 500,
                    "minItems": 1,
                    "type": "array"
                  },
                  "filterErotic": {
                    "type": "boolean"
                  },
                  "hasReviews": {
                    "type": "boolean"
                  },
                  "includeCategories": {
                    "items": {
                      "maximum": 9007199254740991,
                      "minimum": 0,
                      "type": "integer"
                    },
                    "maxItems": 500,
                    "minItems": 1,
                    "type": "array"
                  },
                  "isBackInStock": {
                    "type": "boolean"
                  },
                  "isFilterEnabled": {
                    "type": "boolean"
                  },
                  "isHighest": {
                    "type": "boolean"
                  },
                  "isLowest": {
                    "type": "boolean"
                  },
                  "isLowest90": {
                    "type": "boolean"
                  },
                  "isLowestOffer": {
                    "type": "boolean"
                  },
                  "isOutOfStock": {
                    "type": "boolean"
                  },
                  "isPrimeExclusive": {
                    "type": "boolean"
                  },
                  "isRangeEnabled": {
                    "type": "boolean"
                  },
                  "isRisers": {
                    "type": "boolean"
                  },
                  "manufacturer": {
                    "items": {
                      "maxLength": 500,
                      "minLength": 1,
                      "type": "string"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "minRating": {
                    "maximum": 50,
                    "minimum": -1,
                    "type": "integer"
                  },
                  "mustHaveAmazonOffer": {
                    "type": "boolean"
                  },
                  "mustNotHaveAmazonOffer": {
                    "type": "boolean"
                  },
                  "page": {
                    "maximum": 66,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "priceTypes": {
                    "items": {
                      "enum": [
                        0,
                        1,
                        2,
                        3,
                        5,
                        6,
                        7,
                        8,
                        9,
                        10,
                        18,
                        19,
                        20,
                        21,
                        22,
                        27,
                        32,
                        33
                      ],
                      "type": "integer"
                    },
                    "maxItems": 1,
                    "minItems": 1,
                    "type": "array"
                  },
                  "salesRankRange": {
                    "items": {
                      "maximum": 2147483647,
                      "minimum": -1,
                      "type": "integer"
                    },
                    "maxItems": 2,
                    "minItems": 2,
                    "type": [
                      "array",
                      "null"
                    ]
                  },
                  "singleVariation": {
                    "type": "boolean"
                  },
                  "sortType": {
                    "enum": [
                      1,
                      2,
                      3,
                      4,
                      -2,
                      -3,
                      -4
                    ],
                    "type": "integer"
                  },
                  "titleSearch": {
                    "maxLength": 500,
                    "type": [
                      "string",
                      "null"
                    ]
                  },
                  "warehouseConditions": {
                    "items": {
                      "enum": [
                        1,
                        2,
                        3,
                        24,
                        5
                      ],
                      "type": "integer"
                    },
                    "maxItems": 5,
                    "minItems": 1,
                    "type": "array"
                  }
                },
                "required": [
                  "domainId",
                  "priceTypes"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "deals": {
                      "additionalProperties": true,
                      "properties": {
                        "dr": {
                          "items": {
                            "additionalProperties": true,
                            "type": "object"
                          },
                          "type": "array"
                        }
                      },
                      "type": "object"
                    },
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Browsing Deals response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Browsing Deals",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/post_keepa_apis_v1_keepa_deal",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "estimate_source": "unavailable",
          "estimate_unavailable_reason": "reference_request_unavailable",
          "evidence_source": "response_body",
          "maximum_units": 5,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:c863cc3e561c405f34b9fad4865f6c96b94f8d89b74d1c20286fd49e14c39275",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "aefeb9e894591d4e59b60c6a565f6992d2cf2725a16f1631c9deb8e7ddf63dba",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:8a4112d90f7955429560cb957670b6a814c092cafdf164c12f2c3e7b27118204",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "37d68bc65f2176169baaabcd5b09524ea2e9e4689edebac73ac455ffb0219fb8",
            "url": "https://keepa.com/api-docs/deals.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "37d68bc65f2176169baaabcd5b09524ea2e9e4689edebac73ac455ffb0219fb8",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "3e9d5a072389"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "post_keepa_apis_v1_keepa_deal",
          "path": "/apis/v1/keepa/deal"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime"
      }
    },
    "/apis/v1/keepa/lightningdeal": {
      "get": {
        "description": "Keepa Lightning Deal. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_lightningdeal",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "asin",
            "required": true,
            "schema": {
              "type": "string",
              "x-aisa-delimiter": ",",
              "x-aisa-maxItems": 1,
              "x-aisa-minItems": 1
            }
          },
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "state",
            "required": false,
            "schema": {
              "enum": [
                "AVAILABLE",
                "EXPIRED",
                "SOLDOUT",
                "SUPPRESSED",
                "WAITLIST",
                "WAITLISTFULL"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "lightningDeals": {
                      "items": {
                        "additionalProperties": true,
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Lightning Deal response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Lightning Deal",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_lightningdeal",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 6.4e-05,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 1,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:ea6bf7fb9366042362f009a02d1f58c1c45ab6dfec7e7acea77e657affec5d79",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "8420684db6e79c61a058cb80283a0a464dc50a80a41d9ad2e75b8f1ea3180f7c",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:9b87b32b232c2305292d1b12676d43266e11ebf1fba66ea8ea810c7f871b010d",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "b7f91af6a2e6d95701786c66d49b4227990980c08d087208bdfe4bcd5dd54233",
            "url": "https://keepa.com/api-docs/lightning-deals.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "b7f91af6a2e6d95701786c66d49b4227990980c08d087208bdfe4bcd5dd54233",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "f531bfd81485"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_lightningdeal",
          "path": "/apis/v1/keepa/lightningdeal"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/lightningdeal?asin=example&domain=1' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/lightningdeal/list": {
      "get": {
        "description": "Keepa Lightning Deals List. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_lightningdeal_list",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "state",
            "required": false,
            "schema": {
              "enum": [
                "AVAILABLE",
                "EXPIRED",
                "SOLDOUT",
                "SUPPRESSED",
                "WAITLIST",
                "WAITLISTFULL"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "lightningDeals": {
                      "items": {
                        "additionalProperties": true,
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Lightning Deals List response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Lightning Deals List",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_lightningdeal_list",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.031553,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 500,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:670c093b3324fe4fe011122e83c9a28838c055bab72b6c2fc7d7b3365a7460a1",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "124dbb8ab2e390d6eb43015c308d1c11900836faaaf4d3a07837710cc96b0504",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:9b87b32b232c2305292d1b12676d43266e11ebf1fba66ea8ea810c7f871b010d",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "b7f91af6a2e6d95701786c66d49b4227990980c08d087208bdfe4bcd5dd54233",
            "url": "https://keepa.com/api-docs/lightning-deals.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "b7f91af6a2e6d95701786c66d49b4227990980c08d087208bdfe4bcd5dd54233",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "26622798d8d2"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_lightningdeal_list",
          "path": "/apis/v1/keepa/lightningdeal/list"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/lightningdeal/list?domain=1' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/product": {
      "get": {
        "description": "Keepa Product. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_product",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "asin",
            "required": true,
            "schema": {
              "type": "string",
              "x-aisa-delimiter": ",",
              "x-aisa-maxItems": 100,
              "x-aisa-minItems": 1
            }
          },
          {
            "in": "query",
            "name": "days",
            "required": false,
            "schema": {
              "maximum": 3650,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "0"
              }
            },
            "in": "query",
            "name": "history",
            "required": false,
            "schema": {
              "default": "0",
              "enum": [
                "0",
                "1"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "stats",
            "required": false,
            "schema": {
              "maximum": 3650,
              "minimum": 1,
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "error": {
                      "additionalProperties": true,
                      "properties": {
                        "details": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        },
                        "type": {
                          "type": "string"
                        }
                      },
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "processingTimeInMs": {
                      "type": "integer"
                    },
                    "products": {
                      "items": {
                        "additionalProperties": true,
                        "properties": {
                          "asin": {
                            "type": "string"
                          },
                          "csv": {
                            "items": {},
                            "type": [
                              "array",
                              "null"
                            ]
                          },
                          "domainId": {
                            "type": "integer"
                          },
                          "stats": {
                            "additionalProperties": true,
                            "type": [
                              "object",
                              "null"
                            ]
                          },
                          "title": {
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "description": "Keepa tokens consumed by this request.",
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed",
                    "products"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Product envelope. Empty results are valid. An error envelope may include partial products; AISA waives customer charges for that response while recording consumed Provider tokens."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Product",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_product",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 6.4e-05,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 100,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:e9dd09c6e383348faf47921306c1db1ca8a76c1e598a09df6457fe169823e0d6",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "807dc2a27d76e9a0831a6b48d8b50436d32dca111c34af6f4063030b1eebf545",
            "converter": "keepa-product-response@1",
            "fetched_at": "2026-11-11T08:30:02Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:64dfb039c67212277451ec16c3b531644300deb07948d035b297914798e36d3b",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "7adda4af8b5bd4c3aaf73053b9ce178dfcd0647dffe3cdf70abd65b133d52293",
            "url": "https://keepa.com/api-docs/product.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "7adda4af8b5bd4c3aaf73053b9ce178dfcd0647dffe3cdf70abd65b133d52293",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a6f386b47fcd"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_product",
          "path": "/apis/v1/keepa/product"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/product?asin=example&domain=1&history=0' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/query": {
      "post": {
        "description": "Keepa Product Finder. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "post_keepa_apis_v1_keepa_query",
        "parameters": [
          {
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "additionalProperties": false,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "brand": {}
                        },
                        "required": [
                          "brand"
                        ]
                      },
                      {
                        "properties": {
                          "categories_exclude": {}
                        },
                        "required": [
                          "categories_exclude"
                        ]
                      },
                      {
                        "properties": {
                          "categories_include": {}
                        },
                        "required": [
                          "categories_include"
                        ]
                      },
                      {
                        "properties": {
                          "color": {}
                        },
                        "required": [
                          "color"
                        ]
                      },
                      {
                        "properties": {
                          "current_AMAZON_gte": {}
                        },
                        "required": [
                          "current_AMAZON_gte"
                        ]
                      },
                      {
                        "properties": {
                          "current_AMAZON_lte": {}
                        },
                        "required": [
                          "current_AMAZON_lte"
                        ]
                      },
                      {
                        "properties": {
                          "current_COUNT_REVIEWS_gte": {}
                        },
                        "required": [
                          "current_COUNT_REVIEWS_gte"
                        ]
                      },
                      {
                        "properties": {
                          "current_COUNT_REVIEWS_lte": {}
                        },
                        "required": [
                          "current_COUNT_REVIEWS_lte"
                        ]
                      },
                      {
                        "properties": {
                          "current_NEW_gte": {}
                        },
                        "required": [
                          "current_NEW_gte"
                        ]
                      },
                      {
                        "properties": {
                          "current_NEW_lte": {}
                        },
                        "required": [
                          "current_NEW_lte"
                        ]
                      },
                      {
                        "properties": {
                          "current_RATING_gte": {}
                        },
                        "required": [
                          "current_RATING_gte"
                        ]
                      },
                      {
                        "properties": {
                          "current_RATING_lte": {}
                        },
                        "required": [
                          "current_RATING_lte"
                        ]
                      },
                      {
                        "properties": {
                          "current_SALES_gte": {}
                        },
                        "required": [
                          "current_SALES_gte"
                        ]
                      },
                      {
                        "properties": {
                          "current_SALES_lte": {}
                        },
                        "required": [
                          "current_SALES_lte"
                        ]
                      },
                      {
                        "properties": {
                          "hasParentASIN": {}
                        },
                        "required": [
                          "hasParentASIN"
                        ]
                      },
                      {
                        "properties": {
                          "hasReviews": {}
                        },
                        "required": [
                          "hasReviews"
                        ]
                      },
                      {
                        "properties": {
                          "manufacturer": {}
                        },
                        "required": [
                          "manufacturer"
                        ]
                      },
                      {
                        "properties": {
                          "model": {}
                        },
                        "required": [
                          "model"
                        ]
                      },
                      {
                        "properties": {
                          "productType": {}
                        },
                        "required": [
                          "productType"
                        ]
                      },
                      {
                        "properties": {
                          "rootCategory": {}
                        },
                        "required": [
                          "rootCategory"
                        ]
                      },
                      {
                        "properties": {
                          "singleVariation": {}
                        },
                        "required": [
                          "singleVariation"
                        ]
                      },
                      {
                        "properties": {
                          "size": {}
                        },
                        "required": [
                          "size"
                        ]
                      },
                      {
                        "properties": {
                          "title": {}
                        },
                        "required": [
                          "title"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "brand": {
                    "items": {
                      "maxLength": 500,
                      "minLength": 1,
                      "type": "string"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "categories_exclude": {
                    "items": {
                      "maximum": 9007199254740991,
                      "minimum": 0,
                      "type": "integer"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "categories_include": {
                    "items": {
                      "maximum": 9007199254740991,
                      "minimum": 0,
                      "type": "integer"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "color": {
                    "items": {
                      "maxLength": 500,
                      "minLength": 1,
                      "type": "string"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "current_AMAZON_gte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_AMAZON_lte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_COUNT_REVIEWS_gte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_COUNT_REVIEWS_lte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_NEW_gte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_NEW_lte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_RATING_gte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_RATING_lte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_SALES_gte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "current_SALES_lte": {
                    "maximum": 2147483647,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "hasParentASIN": {
                    "type": "boolean"
                  },
                  "hasReviews": {
                    "type": "boolean"
                  },
                  "manufacturer": {
                    "items": {
                      "maxLength": 500,
                      "minLength": 1,
                      "type": "string"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "model": {
                    "items": {
                      "maxLength": 500,
                      "minLength": 1,
                      "type": "string"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "page": {
                    "default": 0,
                    "maximum": 199,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "perPage": {
                    "default": 50,
                    "maximum": 10000,
                    "minimum": 50,
                    "type": "integer"
                  },
                  "productType": {
                    "maximum": 5,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "rootCategory": {
                    "items": {
                      "maximum": 9007199254740991,
                      "minimum": 0,
                      "type": "integer"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "singleVariation": {
                    "type": "boolean"
                  },
                  "size": {
                    "items": {
                      "maxLength": 500,
                      "minLength": 1,
                      "type": "string"
                    },
                    "maxItems": 50,
                    "minItems": 1,
                    "type": "array"
                  },
                  "sort": {
                    "items": {
                      "items": {
                        "maxLength": 100,
                        "minLength": 1,
                        "type": "string"
                      },
                      "maxItems": 2,
                      "minItems": 2,
                      "type": "array"
                    },
                    "maxItems": 3,
                    "minItems": 1,
                    "type": "array"
                  },
                  "title": {
                    "maxLength": 500,
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "asinList": {
                      "items": {
                        "type": "string"
                      },
                      "type": "array"
                    },
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    },
                    "totalResults": {
                      "minimum": 0,
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Product Finder response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Product Finder",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "brand",
                "selector": "/brand"
              },
              {
                "in": "body",
                "name": "categories_exclude",
                "selector": "/categories_exclude"
              },
              {
                "in": "body",
                "name": "categories_include",
                "selector": "/categories_include"
              },
              {
                "in": "body",
                "name": "color",
                "selector": "/color"
              },
              {
                "in": "body",
                "name": "current_amazon_gte",
                "selector": "/current_AMAZON_gte"
              },
              {
                "in": "body",
                "name": "current_amazon_lte",
                "selector": "/current_AMAZON_lte"
              },
              {
                "in": "body",
                "name": "current_count_reviews_gte",
                "selector": "/current_COUNT_REVIEWS_gte"
              },
              {
                "in": "body",
                "name": "current_count_reviews_lte",
                "selector": "/current_COUNT_REVIEWS_lte"
              },
              {
                "in": "body",
                "name": "current_new_gte",
                "selector": "/current_NEW_gte"
              },
              {
                "in": "body",
                "name": "current_new_lte",
                "selector": "/current_NEW_lte"
              },
              {
                "in": "body",
                "name": "current_rating_gte",
                "selector": "/current_RATING_gte"
              },
              {
                "in": "body",
                "name": "current_rating_lte",
                "selector": "/current_RATING_lte"
              },
              {
                "in": "body",
                "name": "current_sales_gte",
                "selector": "/current_SALES_gte"
              },
              {
                "in": "body",
                "name": "current_sales_lte",
                "selector": "/current_SALES_lte"
              },
              {
                "in": "body",
                "name": "hasparentasin",
                "selector": "/hasParentASIN"
              },
              {
                "in": "body",
                "name": "hasreviews",
                "selector": "/hasReviews"
              },
              {
                "in": "body",
                "name": "manufacturer",
                "selector": "/manufacturer"
              },
              {
                "in": "body",
                "name": "model",
                "selector": "/model"
              },
              {
                "in": "body",
                "name": "product_type",
                "selector": "/productType"
              },
              {
                "in": "body",
                "name": "rootcategory",
                "selector": "/rootCategory"
              },
              {
                "in": "body",
                "name": "singlevariation",
                "selector": "/singleVariation"
              },
              {
                "in": "body",
                "name": "size",
                "selector": "/size"
              },
              {
                "in": "body",
                "name": "title",
                "selector": "/title"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/post_keepa_apis_v1_keepa_query",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "estimate_source": "unavailable",
          "estimate_unavailable_reason": "reference_request_unavailable",
          "evidence_source": "response_body",
          "maximum_units": 110,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:6103cdf3cee57cf7f0ee6371a8f4336e8cc2a0a6d4ed1e7304b70320b15c3e53",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "91754b1a38dcf005d058b0c122a325cd01ef674938d0e54882d24fa199ffd25f",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:53294b7d73d01415df4635adf5b9f179079aa771f35798c58b6148f93d9c846e",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "645c82d3be5cca3e8520101eb38681a7056c109d5e2bfb361773492c23023ace",
            "url": "https://keepa.com/api-docs/product-finder.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "645c82d3be5cca3e8520101eb38681a7056c109d5e2bfb361773492c23023ace",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "f9afbb824f7a"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "post_keepa_apis_v1_keepa_query",
          "path": "/apis/v1/keepa/query"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime"
      }
    },
    "/apis/v1/keepa/search/category": {
      "get": {
        "description": "Keepa Category Search. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_search_category",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "term",
            "required": true,
            "schema": {
              "maxLength": 500,
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "category"
              }
            },
            "in": "query",
            "name": "type",
            "required": false,
            "schema": {
              "default": "category",
              "enum": [
                "category"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "categories": {
                      "additionalProperties": {
                        "additionalProperties": true,
                        "type": "object"
                      },
                      "type": "object"
                    },
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Category Search response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Category Search",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_search_category",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 6.4e-05,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 1,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:7ed9a9e27c61e9ee7e81c7ba1f816cc65aefda1815960ff80ab3a0588ce94a39",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "db0435a5b72ff514f9a30a772404545223300d356b163510cf4e7e57ddf9b4b2",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:e0fa0558d93b0c898da39cf0423daef76e18569cfb10a09c1552d1943f09fc0d",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "6fb5b7787ecacd9111098c7c0555980b0168c321be3d303790e5a69af68a8a62",
            "url": "https://keepa.com/api-docs/category-search.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "6fb5b7787ecacd9111098c7c0555980b0168c321be3d303790e5a69af68a8a62",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "bcb9034494ea"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_search_category",
          "path": "/apis/v1/keepa/search/category"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/search/category?domain=1&term=example&type=category' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/search/product": {
      "get": {
        "description": "Keepa Product Search. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_search_product",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "0"
              }
            },
            "in": "query",
            "name": "asins-only",
            "required": false,
            "schema": {
              "default": "0",
              "enum": [
                "0",
                "1"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "0"
              }
            },
            "in": "query",
            "name": "history",
            "required": false,
            "schema": {
              "default": "0",
              "enum": [
                "0",
                "1"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "stats",
            "required": false,
            "schema": {
              "maximum": 3650,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "term",
            "required": true,
            "schema": {
              "maxLength": 500,
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "product"
              }
            },
            "in": "query",
            "name": "type",
            "required": false,
            "schema": {
              "default": "product",
              "enum": [
                "product"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "asinList": {
                      "items": {
                        "type": "string"
                      },
                      "type": "array"
                    },
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "products": {
                      "items": {
                        "additionalProperties": true,
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Product Search response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Product Search",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_search_product",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.000632,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 10,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:1a8ca453bcf3cec72fccd94567d00dec62c4d7c1aa9ba217bf2d85ed9108d40a",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "77ba87bdc98f460f4919611189f214501b14de47e313fb367fb9afd153a222cf",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:5a6a5268b81abb022a816ce9ba9ca2893fcd4329743f5b29dc684e546feed831",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "6fb5b7787ecacd9111098c7c0555980b0168c321be3d303790e5a69af68a8a62",
            "url": "https://keepa.com/api-docs/product-search.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "6fb5b7787ecacd9111098c7c0555980b0168c321be3d303790e5a69af68a8a62",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "039f2f872a95"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_search_product",
          "path": "/apis/v1/keepa/search/product"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/search/product?asins-only=0&domain=1&history=0&term=example&type=product' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/seller": {
      "get": {
        "description": "Keepa Seller Information. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_seller",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "seller",
            "required": true,
            "schema": {
              "type": "string",
              "x-aisa-delimiter": ",",
              "x-aisa-maxItems": 100,
              "x-aisa-minItems": 1
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "sellers": {
                      "additionalProperties": {
                        "additionalProperties": true,
                        "type": "object"
                      },
                      "type": "object"
                    },
                    "tokenFlowReduction": {
                      "type": "number"
                    },
                    "tokensConsumed": {
                      "minimum": 0,
                      "type": "integer"
                    },
                    "tokensLeft": {
                      "type": "integer"
                    }
                  },
                  "required": [
                    "tokensConsumed"
                  ],
                  "type": "object"
                }
              }
            },
            "description": "Native Keepa Seller Information response. Result availability and errors follow the provider envelope."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Keepa Seller Information",
        "tags": [
          "ecommerce"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "keepa",
        "x-aisa-category": "amazon",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/keepa/get_keepa_apis_v1_keepa_seller",
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 6.4e-05,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "maximum_units": 100,
          "unit": "keepa_token",
          "unit_rate_usd": 0.0
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-response-passthrough": true,
        "x-aisa-response-source": {
          "content_hash": "sha256:e5bbcbf748a382502717e996ee503075afd51ceb695a2e066f52cb6469f25827",
          "kind": "upstream_success_contract",
          "source": {
            "content_hash": "32c0c9025417fe9a9a4bc80fdbf489b0b470115a150872acf9b5b0a3f2df8cb3",
            "converter": "keepa-responses@1",
            "fetched_at": "2026-11-11T11:36:14.972635Z",
            "kind": "manual",
            "owner": "AIsa-team/docs",
            "path_space": "public",
            "policy_revision": "sha256:3b5640114a32cdf3a2ab6e3ca0786e4aaad8d19a6ca2ad364cf5d8c6cf17cb27",
            "refresh_policy": "manual",
            "response_only": true,
            "review_period_days": 30,
            "upstream_origin_sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
            "upstream_path_sha256": "1c7437bf4e77e32a3be6b83774ac04116f29efd0055980059cb47029fb68633b",
            "url": "https://keepa.com/api-docs/seller.html"
          }
        },
        "x-aisa-response-upstream-origin-sha256": "bcdc8d71c108d16c416c276422fa17106aca25215f70d82a59b7bd3cae822be2",
        "x-aisa-response-upstream-path-sha256": "1c7437bf4e77e32a3be6b83774ac04116f29efd0055980059cb47029fb68633b",
        "x-aisa-revision": {
          "customer_pricing_ref": "8c7361642430",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "92c9ac39b873"
        },
        "x-aisa-runtime-operation": {
          "method": "GET",
          "operation_id": "get_keepa_apis_v1_keepa_seller",
          "path": "/apis/v1/keepa/seller"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "runtime",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request GET \\\n  --url 'https://api.aisa.one/apis/v1/keepa/seller?domain=1&seller=example' \\\n  --header 'Authorization: Bearer <token>'"
          }
        ]
      }
    },
    "/apis/v1/keepa/seller/storefront": {
      "get": {
        "description": "Keepa Seller Storefront. Token usage is settled from the response using the account's immutable rate.",
        "operationId": "get_keepa_apis_v1_keepa_seller_storefront",
        "parameters": [
          {
            "examples": {
              "default": {
                "value": "1"
              },
              "minimal": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "domain",
            "required": true,
            "schema": {
              "enum": [
                "1",
                "10",
                "11",
                "12",
                "2",
                "3",
                "4",
                "5",
                "6",
                "8",
                "9"
              ],
              "type": "string"
            }
          },
          {
            "examples": {
              "default": {
                "value": "example"
              },
              "minimal": {
                "value": "example"
              }
            },
            "in": "query",
            "name": "seller",
            "required": true,
            "schema": {
              "type": "string",
              "x-aisa-delimiter": ",",
              "x-aisa-maxItems": 1,
              "x-aisa-minItems": 1
            }
          },
          {
            "examples": {
              "default": {
                "value": "1"
              }
            },
            "in": "query",
            "name": "storefront",
            "required": false,
            "schema": {
              "default": "1",
              "enum": [
                "1"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "additionalProperties": true,
                  "properties": {
                    "error": {
                      "additionalProperties": true,
                      "type": [
                        "object",
                        "null"
                      ]
                    },
                    "refillIn": {
                      "type": "integer"
                    },
                    "refillRate": {
                      "type": "integer"
                    },
                    "sellers": {
                      "additionalProperties": {
[...]
